## org.eclipse.datatools.modelbase.sql.datatypes
Interface NumericalDataType

All Superinterfaces:
  DataType, PredefinedDataType, SQLDataType, SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, ExactNumericDataType, FixedPrecisionDataType, IntegerDataType

All Known Implementing Classes:
  ApproximateNumericDataTypeImpl, ExactNumericDataTypeImpl, FixedPrecisionDataTypeImpl, IntegerDataTypeImpl, NumericalDataTypeImpl

public interface NumericalDataType
extends PredefinedDataType

A representation of the model object 'Numerical Data Type'. Reference: 5WD-02-Foundation-2002-12 4.4 Numbers

The following features are supported:

- `Precision`

See Also:
  `SQLDataTypesPackage.getNumericalDataType()`

Method Summary
`int` `getPrecision()` Returns the value of the 'Precision' attribute.
`void` `setPrecision(int value)` Sets the value of the '`Precision`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getPrecision

    public int getPrecision()

  Returns the value of the 'Precision' attribute.

  If the meaning of the 'Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Precision' attribute.
  See Also:
    `setPrecision(int)`, `SQLDataTypesPackage.getNumericalDataType_Precision()`

### setPrecision

    public void setPrecision(int value)

  Sets the value of the '`Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Precision' attribute.
  See Also:
    `getPrecision()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.